Bug 1741635 - Unable to view AWS keypair list as tenant_administrator
Summary: Unable to view AWS keypair list as tenant_administrator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.6
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.9
Assignee: Libor Pichler
QA Contact: Nandini Chandra
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1730066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-15 16:32 UTC by Satoe Imaishi
Modified: 2020-05-19 17:13 UTC (History)
12 users (show)

Fixed In Version: 5.10.9.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1730066
Environment:
Last Closed: 2019-09-05 05:25:21 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screen shot of a group that belongs to a child tenant (28.68 KB, image/png)
2019-08-23 17:06 UTC, Nandini Chandra
no flags Details
screen shot of key pair with group ownership details (29.32 KB, image/png)
2019-08-23 17:07 UTC, Nandini Chandra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2587 None None None 2019-09-05 05:25:29 UTC

Comment 3 CFME Bot 2019-08-15 16:40:39 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/a6f851e5e8362a577741ec4474dde41cbfe76576
commit a6f851e5e8362a577741ec4474dde41cbfe76576
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Aug 13 09:24:50 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Aug 13 09:24:50 2019 -0400

    Merge pull request #19124 from PanSpagetka/add-keypair-ownership-feature

    Add Auth KeyPair Ownership feature

    (cherry picked from commit 25019761510360eebd43844de99129b430122647)

    https://bugzilla.redhat.com/show_bug.cgi?id=1741634
    https://bugzilla.redhat.com/show_bug.cgi?id=1741635

 db/fixtures/miq_product_features.yml | 4 +
 1 file changed, 4 insertions(+)

Comment 4 Satoe Imaishi 2019-08-16 13:05:41 UTC
Also https://github.com/ManageIQ/manageiq-ui-classic/pull/5967

Comment 7 Nandini Chandra 2019-08-23 17:06:54 UTC
Created attachment 1607446 [details]
screen shot of a group that belongs to a child tenant

Comment 8 Nandini Chandra 2019-08-23 17:07:45 UTC
Created attachment 1607447 [details]
screen shot of key pair with group ownership details

Comment 9 Sudhir Mallamprabhakara 2019-08-26 14:16:26 UTC
Can you provide the reproducer env?

Comment 10 Nandini Chandra 2019-08-26 14:49:36 UTC
Sudhir,

I have already shared my appliance IP with Libor on Friday through PM on gitter.

Comment 12 CFME Bot 2019-08-27 13:56:08 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/0264849969522f478b3d47202df81063e43d140f
commit 0264849969522f478b3d47202df81063e43d140f
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Aug 26 14:38:05 2019 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Mon Aug 26 14:38:05 2019 -0400

    Merge pull request #19202 from lpichler/set_tenant_from_group_for_keypairs

    Set tenant from group in Authentification(KeyPairs) model

    (cherry picked from commit f30f40854bcffdd2ccee2231cf0f6c8bc3722fde)

    https://bugzilla.redhat.com/show_bug.cgi?id=1741635

 app/models/authentication.rb | 6 +
 spec/models/authentication_spec.rb | 13 +
 2 files changed, 19 insertions(+)

Comment 13 Nandini Chandra 2019-08-29 16:27:49 UTC
Verified in 5.10.9.1

Comment 15 errata-xmlrpc 2019-09-05 05:25:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2587


Note You need to log in before you can comment on or make changes to this bug.